/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.services;

import javax.xml.namespace.QName;

import org.ow2.orchestra.var.MessageVariable;

/**
 * @author Guillaume Porcher
 *
 */
public interface MessageCarrier {

  String NO_REPLY_NO_PROCESS_MESSAGE =
    "No reply message available because no process was found for the message.";
  String NO_REPLY_INSTANCE_FAILED_MESSAGE =
            "No reply message available because the process execution failed.";

  void setMessage(final MessageVariable messageToSend);

  void setFaultMessage(final QName faultQName, final MessageVariable messageToSend);

  void throwMissingReply(boolean isInstanceExited);

  String getUuid();

}
