package org.ow2.orchestra.services.impl;

import javax.xml.namespace.QName;

import org.ow2.orchestra.services.MessageCarrierRepository;
import org.ow2.orchestra.services.OpenIMAKey;
import org.ow2.orchestra.services.itf.Replier;
import org.ow2.orchestra.var.MessageVariable;

public class ReplierImpl implements Replier {

  protected long dbid;
  protected int dbversion;

  // ///////////////////////////////////////////////////////////////////////////
  // REPLIER
  // ///////////////////////////////////////////////////////////////////////////
  protected OpenIMAKey openIMAKey;

  protected ReplierImpl() {
    // default constructor
  }

  public ReplierImpl(final OpenIMAKey openIMAKey) {
    this.openIMAKey = openIMAKey;
  }

  public void reply(final MessageVariable message) {
    MessageCarrierRepository.associateMessage(this.openIMAKey, message);
  }

  public void replyWithFault(final QName faultQName, final MessageVariable message) {
    MessageCarrierRepository.associateFaultMessage(this.openIMAKey, faultQName, message);
  }

  public long getDbid() {
    return this.dbid;
  }

  public OpenIMAKey getOpenIMAKey() {
    return this.openIMAKey;
  }
}
